signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros
pluginproxy.cpp File Reference
`#include "pluginproxy.h"`
`#include <sys/types.h>`
`#include <pwd.h>`
`#include <unistd.h>`
`#include <QStringList>`
`#include <QThreadStorage>`
`#include <QThread>`
`#include <QDataStream>`
`#include "signond-common.h"`
`#include "SignOn/uisessiondata_priv.h"`
`#include "SignOn/signonplugincommon.h"`
`#include "SignOn/authpluginif.h"`
`#include "SignOn/blobiohandler.h"`
`#include "SignOn/ipc.h"`
Include dependency graph for pluginproxy.cpp:

Go to the source code of this file.

## Namespaces
| SignonDaemonNS

## Macros
#define | REMOTEPLUGIN_BIN_PATH QLatin1String("signonpluginprocess")
#define | PLUGINPROCESS_START_TIMEOUT 5000
#define | PLUGINPROCESS_STOP_TIMEOUT 1000

## Macro Definition Documentation

#define PLUGINPROCESS_START_TIMEOUT 5000

Definition at line 52 of file pluginproxy.cpp.

Referenced by SignonDaemonNS::PluginProxy::createNewPluginProxy(), and SignonDaemonNS::PluginProxy::restartIfRequired().

#define PLUGINPROCESS_STOP_TIMEOUT 1000

Definition at line 53 of file pluginproxy.cpp.

Referenced by SignonDaemonNS::PluginProxy::~PluginProxy().

#define REMOTEPLUGIN_BIN_PATH QLatin1String("signonpluginprocess")

Definition at line 51 of file pluginproxy.cpp.

Referenced by SignonDaemonNS::PluginProxy::createNewPluginProxy(), and SignonDaemonNS::PluginProxy::restartIfRequired().